=== buildfactory/debian/changelog ===
freepops (0.0.18-1) unstable; urgency=low

  * some fixes

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Mon, 27 Sep 2004 15:01:17 +0200

freepops (0.0.17-1) unstable; urgency=low

  * some sparse fixes

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Tue, 14 Sep 2004 14:35:32 +0200

freepops (0.0.16-1) unstable; urgency=low

  * burden of fixes plus xml

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Fri,  3 Sep 2004 20:55:18 +0200

freepops (0.0.15-1) unstable; urgency=low

  * owa/httpmail , xml, Txml, fix gmail,yahoo... tre.lua,aol.lua

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 21 Aug 2004 13:55:18 +0200

freepops (0.0.14-1) unstable; urgency=low

  * fix gmail. added yahoo.com 

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sun,  8 Aug 2004 13:39:49 +0200

freepops (0.0.13-1) unstable; urgency=low

  * fix all around + squirrelmail

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu, 15 Jul 2004 17:14:59 +0200

freepops (0.0.12-1) unstable; urgency=low

  * fix gmail and aggregator

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu,  8 Jul 2004 20:46:14 +0200

freepops (0.0.11-1) unstable; urgency=low

  * added bindings for regularep

 -- Enrico Tassi <tassi@garfield>  Thu,  8 Jul 2004 20:46:11 +0200

freepops (0.0.10-1) unstable; urgency=low

  * fixed lycos, luay fflush

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sun, 27 Jun 2004 18:52:29 +0200

freepops (0.0.9-1) unstable; urgency=low

  * fixed proxy, FILE* leak, tin.lua for >=1MB messages, common.lua

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Fri, 25 Jun 2004 19:45:45 +0200

freepops (0.0.8-1) unstable; urgency=low

  * some lyxos and doc improvements

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Tue, 22 Jun 2004 10:53:56 +0200

freepops (0.0.7-1) unstable; urgency=low

  * fixed gentoo

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sun, 20 Jun 2004 17:36:59 +0200

freepops (0.0.6-1) unstable; urgency=low

  * fixed lycos 

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 19 Jun 2004 15:30:33 +0200

freepops (0.0.5-1) unstable; urgency=low

  * lycos

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 19 Jun 2004 15:30:31 +0200

freepops (0.0.4-1) unstable; urgency=low

  * some fix, tolua++ removed

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Fri,  4 Jun 2004 16:51:42 +0200

freepops (0.0.3-1) unstable; urgency=low

  * implemented tin webmail

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu, 27 May 2004 12:35:44 +0200

freepops (0.0.2-1) unstable; urgency=low

  * moved to cURL

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Thu, 13 May 2004 19:20:25 +0200

freepops (0.0.1-1) unstable; urgency=low

  * first public release

 -- Enrico Tassi <gareuselesinge@users.sourceforge.net>  Sat, 1 May 2004 17:41:23 +0200
