=== buildfactory/debian/control ===
Source: freepops
Section: mail
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@users.sourceforge.net>
Build-Depends: debhelper (>= 4.0.0), libexpat1-dev, libcurl3-dev | libcurl2-dev | libcurl-ssl-dev | libcurl-dev , tetex-extra, flex, bison, libreadline4-dev, gs-common, libssl-dev
Standards-Version: 3.6.1.0

Package: freepops
Architecture: any
Depends: ${shlibs:Depends}
Description: pop3 interface to webmails
 freepopsd is a daemon that acts as a local pop3 server, translating
 local pop3 command to remote http requests to the supported
 webmail sites.

Package: freepops-doc
Architecture: all
Depends: 
Description: FreePOPs user/developer manual
 This is the manual in pdf format for FreePOPs.
