=== buildfactory/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	./configure.sh linux || true

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all WHERE=/usr/
	$(MAKE) manual WHERE=/usr/

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/freepops.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/freepops WHERE=/usr/

	mv $(CURDIR)/debian/freepops/usr/share/doc/freepops/*.pdf \
		$(CURDIR)/debian/freepops-doc/usr/share/doc/freepops-doc/

	#create the /etc/freepops/freepops.conf file
	DESTDIR=$(CURDIR)/debian/freepops; 			\
	FILE=$$DESTDIR/etc/default/freepops; 			\
	 echo "#####################################">  $$FILE;	\
	 echo "# configuration file for freepopsd.">> $$FILE;	\
	 echo "#                                    ">> $$FILE; \
	 echo "# man freepopsd for more info.     ">> $$FILE; \
	 echo "DAEMON_OPTS=\" -d\"">> $$FILE 	

	#istall the icon
	DESTDIR=$(CURDIR)/debian/freepops; 	\
	 cp modules/src/winsystray/freepops-32.xpm $$DESTDIR/usr/share/pixmaps/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -n
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
